Subject: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Przemysław Kryger <[email-masked]>
Date: Mon, 16 Jun 2025 09:20:53 +0100

> I could consider this if otherwise "M-x man" is completely broken on
> macOS. Is it?

It is. At least in my case.

> I don't understand why: installing GNU Sed should be easy, and you
> don't lose anything by doing that.

That should be relatively straight forward.  However, there's one slight
complication.  User needs to set `Man-sed-command before' before man has
been loaded.  Otherwise they need to call `(Man-init-defvars)' in order
to make the setting to be effective.  At least this is how I understood
it.

Cheers,
PK